<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__l2cap__cbfc__rx__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_l2cap_cbfc_rx_param_t</compoundname>
    <includes local="no">cy_ble_stack_l2cap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__l2cap__cbfc__rx__param__t_1a5e3b6ecfb6dcb75b7c393f9eabc61685" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_l2cap_cbfc_rx_param_t::rxData</definition>
        <argsstring />
        <name>rxData</name>
        <briefdescription>
<para>Received L2cap Data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="368" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="368" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__rx__param__t_1ac5f890fc0c7c28c27e7b249b0e10f86d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_rx_param_t::rxDataLength</definition>
        <argsstring />
        <name>rxDataLength</name>
        <briefdescription>
<para>Received L2cap Data Length. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="371" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="371" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__rx__param__t_1a7a5e21526b19e701225c75687caaebfb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_rx_param_t::lCid</definition>
        <argsstring />
        <name>lCid</name>
        <briefdescription>
<para>Local CID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="374" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="374" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__rx__param__t_1a72b1a9c6e7f6694074c8e05fa6728cbe" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__l2cap__definitions_1ga89d43d928059fa832589a36e4d63ee7a">cy_en_ble_l2cap_result_param_t</ref></type>
        <definition>cy_en_ble_l2cap_result_param_t cy_stc_ble_l2cap_cbfc_rx_param_t::result</definition>
        <argsstring />
        <name>result</name>
        <briefdescription>
<para>A result value of 0x0000 indicates success, while a non-zero value indicates an error condition (e.g. </para>        </briefdescription>
        <detaileddescription>
<para>peer device violating Credit flow, or L2CAP MTU size limit). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="378" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="378" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Receive Data parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="380" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="365" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="366" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__rx__param__t_1a7a5e21526b19e701225c75687caaebfb" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_rx_param_t</scope><name>lCid</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__rx__param__t_1a72b1a9c6e7f6694074c8e05fa6728cbe" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_rx_param_t</scope><name>result</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__rx__param__t_1a5e3b6ecfb6dcb75b7c393f9eabc61685" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_rx_param_t</scope><name>rxData</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__rx__param__t_1ac5f890fc0c7c28c27e7b249b0e10f86d" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_rx_param_t</scope><name>rxDataLength</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>